from flask import Flask
from flask_sqlalchemy import SQLAlchemy

"""
Vytvoreni databazi, kde se budou ukladat vsechny nove polozky nabytku a kosik

Pro vytvoreni souboru furniture.db a cart.db se musi aplikace spustit samostatne.
Je nutno pak pridat i modely, aby se v databazich vytvoril table s prislusnymi sloupci.

Pokud uz je databaze vytvorena, aplikace si databazi bude volat automaticky
"""
app = Flask(__name__)
app.config['SQLALCHEMY_DATABASE_URI'] = 'sqlite:///furniture.db'
app.config['SQLALCHEMY_BINDS'] = { 'cart': 'sqlite:///cart.db', 'message': 'sqlite:///chatbot.db' }
db = SQLAlchemy(app)


app.app_context().push()

