from models import Chatbot_message, User_message


"""
Vytvareni specialnich globalnich promennych pro cely projekt z duvodu pouzivani techto promennych v javaskriptu
pro praci s chatbotem a jeho zpravami zvlast pro uzivatele a bota
"""

def messages():
    chatbot_messages = Chatbot_message.query.order_by(Chatbot_message.id)
    user_messages = User_message.query.order_by(User_message.id)
    return dict(chatbot_messages=chatbot_messages, user_messages=user_messages)

def messages_serializable():
    chatbot_messages = [message.to_dict() for message in Chatbot_message.query.order_by(Chatbot_message.id)]
    user_messages = [message.to_dict() for message in User_message.query.order_by(User_message.id)]
    return dict(chatbot_messages=chatbot_messages, user_messages=user_messages)