﻿// udrzovani posledni historie v chatu, takze uzivatel ma moznost si precist posledni zpravy


// promenna historyArray je vytvorena ve skriptu chat.js, volane pred timto scriptem
if (historyArray.length > 0) {
    fetch('/chatbot')
        .then(response => response.json())
        .then(data => {
            for (var i = historyArray.length - 1; i >= 0; i--) {
                // nezobrazujeme uvodni zpravy chatbota
                if (historyArray[i] == "Chci vědět něco jiného.") {
                    continue;
                }

                // hledani odpovedi chatbota ve zpravach v nasi databazi, bude se ukazovat po zprave uzivatele
                var userMessage = data.user_messages.find(message => message.message == historyArray[i]);
                if (userMessage) {
                    var chatbotMessage = data.chatbot_messages.find(message => message.id == userMessage.answer_id);
                    if (chatbotMessage) {
                        $(".chatbot_message").prepend(`<p class="bot">${chatbotMessage.message}</p>`);
                    }
                }
                // napsani zpravy uzivatele
                $(".chatbot_message").prepend(`<p class="user">${historyArray[i]}</p>`);
            }
        });
}

// vytvoreni specialniho oddelovaciho textu a linky pro stary a novy chat
$(".chatbot_message").prepend(`
    <div class="separator">
        <p class="separator_text"> Minulý chat </p>
        <hr style="border: 1px solid red; width: 99%;">
        <p class="separator_text"> Nové sezení </p>
    </div>
`);